Get data
POST {api_url}/api/tables/{TableName}
POST {api_url}/api/tables/{TableName} HTTP/1.1
Content-Type: application/json
Authorization: Bearer {token} // or APIKey
client_id: {unique client id} // when API key client id not needed
{
"page": 1,
"nrOfRecords": 100,
"filters": [
{
"columnName": "Material", "op":"=", "value": "Steel"
}
],
"fields": ["cd_ItemNumber", "Material", "Width", "Supplier"],
"orderby": ["cd_ItemNumber"]
}
{
"Data": {
"data": [
{
"cd_ItemNumber": "ABC123",
"Material": "Steel",
"Width": 10,
"Supplier": ""
}
],
"totalNumberOfRecords": 1
},
"Errors": [],
"Succeeded": true
}
Filter operators
<,>, !=, >=, <=, ContainsAny
(when using ContainsAny, "value": "Steel,Copper,Alu", is a comma separated list)
You can add several filter criteria in the same request. The exmaple below would give you all that has Cost greater than 100 and smaller than 200
"filters": [
{
"columnName": "Cost", "op":">", "value": "100.0"
},
{
"columnName": "Cost", "op":"<", "value": "200.0"
}
]